import React, { useEffect, useState } from "react";
import Home from "./components/Homepage/Home/Home";

import { useSpring, animated } from "react-spring";

const Drawer = ({ show, setShow, colorData }) => {
  const [showWave, setShowWave] = useState(false);
  const props = useSpring({
    position: "absolute",
    left: 0,
    backgroundColor: `${colorData}`,
    height: show ? "100vh" : "0vh",
    width: "100%",
    zIndex: 10000,
    config: { duration: 1000 },
  });

  useEffect(() => {
    if (show) {
      setShowWave(true);
    } else {
      setTimeout(() => {
        setShowWave(false);
      }, 1000);
    }
  }, [show]);

  const Wave = () => (
    <div
      class="wave"
      style={{
        background: `url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 800 88.7'%3E%3Cpath d='M800 56.9c-155.5 0-204.9-50-405.5-49.9-200 0-250 49.9-394.5 49.9v31.8h800v-.2-31.6z' fill='%23${colorData.substring(
          1
        )}'/%3E%3C/svg%3E")`,
      }}
    ></div>
  );

  return (
    <animated.div style={props}>
      {showWave && (
        <div class="ocean">
          <Wave />
          <Wave />
          <Wave />
          <Wave />
          <Wave />
        </div>
      )}
      {showWave && (
        <svg
          width="159"
          height="79"
          viewBox="0 0 159 79"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
          style={{
            color: "#fff",
            borderColor: "#fff",
            cursor: "pointer",
            marginTop: "5rem",
          }}
          onClick={() => setShow((prev) => !prev)}
        >
          <path
            d="M3.58949 24C3.35019 24 3.14771 23.9264 2.98204 23.7791C2.83478 23.6134 2.76115 23.411 2.76115 23.1717V3.26377C2.76115 3.00607 2.83478 2.80358 2.98204 2.65632C3.14771 2.50906 3.35019 2.43543 3.58949 2.43543H8.86329C10.207 2.43543 11.3943 2.72075 12.4252 3.29138C13.4744 3.84362 14.2935 4.60753 14.8826 5.58314C15.4716 6.55874 15.7662 7.69082 15.7662 8.97935C15.7662 10.4888 15.3428 11.7957 14.496 12.9002C13.6493 13.9862 12.5264 14.7317 11.1274 15.1367L15.8766 22.7299C16.1159 23.098 16.1619 23.4018 16.0147 23.6411C15.8858 23.8804 15.6097 24 15.1863 24C14.9838 24 14.8274 23.9632 14.7169 23.8896C14.6249 23.7975 14.5328 23.6871 14.4408 23.5582L9.36029 15.4404C9.19462 15.4404 9.02896 15.4404 8.86329 15.4404H4.41784V23.1717C4.41784 23.411 4.34421 23.6134 4.19695 23.7791C4.04968 23.9264 3.8472 24 3.58949 24ZM4.41784 13.7838H8.86329C9.89412 13.7838 10.7961 13.5813 11.5692 13.1763C12.3607 12.7529 12.9774 12.1823 13.4192 11.4644C13.8794 10.7465 14.1095 9.91814 14.1095 8.97935C14.1095 8.02215 13.8794 7.1754 13.4192 6.43909C12.9774 5.70279 12.3607 5.13215 11.5692 4.72718C10.7961 4.30381 9.89412 4.09212 8.86329 4.09212H4.41784V13.7838ZM25.9658 24.1381C24.5116 24.1381 23.2139 23.8159 22.0726 23.1717C20.9497 22.509 20.0661 21.5978 19.4219 20.4381C18.7776 19.2784 18.4555 17.9531 18.4555 16.4621C18.4555 14.9526 18.7592 13.6273 19.3667 12.486C19.9741 11.3263 20.8117 10.4151 21.8793 9.75247C22.9469 9.0898 24.1711 8.75846 25.5516 8.75846C26.9138 8.75846 28.1195 9.08059 29.1687 9.72486C30.218 10.3507 31.0371 11.2251 31.6262 12.348C32.2152 13.4524 32.5097 14.7317 32.5097 16.1859C32.5097 16.4252 32.4361 16.6185 32.2888 16.7658C32.1416 16.8946 31.9483 16.9591 31.709 16.9591H20.1398C20.195 18.0635 20.4803 19.0391 20.9957 19.8859C21.5111 20.7326 22.1922 21.3953 23.039 21.8739C23.9041 22.3525 24.8797 22.5918 25.9658 22.5918C26.6837 22.5918 27.4016 22.4722 28.1195 22.2329C28.8558 21.9752 29.4356 21.6438 29.859 21.2389C30.0063 21.0916 30.1812 21.018 30.3836 21.018C30.6045 20.9996 30.7886 21.0548 30.9359 21.1836C31.1383 21.3493 31.2396 21.5334 31.2396 21.7359C31.258 21.9383 31.1752 22.1224 30.9911 22.2881C30.402 22.8219 29.6289 23.2637 28.6717 23.6134C27.7329 23.9632 26.831 24.1381 25.9658 24.1381ZM25.5516 10.3047C24.5944 10.3047 23.7293 10.5256 22.9561 10.9674C22.183 11.4092 21.548 12.0258 21.051 12.8173C20.5724 13.5905 20.2778 14.4924 20.1674 15.5233H30.9083C30.7794 13.977 30.2272 12.7253 29.2516 11.7681C28.276 10.7925 27.0426 10.3047 25.5516 10.3047ZM42.2945 24C41.2821 23.9816 40.3801 23.7515 39.5886 23.3097C38.7971 22.8495 38.1804 22.2237 37.7386 21.4321C37.2969 20.6222 37.076 19.711 37.076 18.6986V10.9398H34.9223C34.7014 10.9398 34.5173 10.8753 34.37 10.7465C34.2412 10.5992 34.1768 10.4151 34.1768 10.1943C34.1768 9.97337 34.2412 9.79849 34.37 9.66964C34.5173 9.52238 34.7014 9.44875 34.9223 9.44875H37.076V4.94807C37.076 4.69037 37.1496 4.48788 37.2969 4.34062C37.4625 4.17495 37.665 4.09212 37.9043 4.09212C38.162 4.09212 38.3645 4.17495 38.5118 4.34062C38.6774 4.48788 38.7603 4.69037 38.7603 4.94807V9.44875H42.405C42.6259 9.44875 42.8008 9.52238 42.9296 9.66964C43.0769 9.79849 43.1505 9.97337 43.1505 10.1943C43.1505 10.4151 43.0769 10.5992 42.9296 10.7465C42.8008 10.8753 42.6259 10.9398 42.405 10.9398H38.7603V18.6986C38.7603 19.7662 39.0916 20.6406 39.7543 21.3217C40.417 21.9844 41.2729 22.3157 42.3222 22.3157H42.9296C43.1873 22.3157 43.3898 22.3985 43.5371 22.5642C43.7027 22.7115 43.7856 22.9139 43.7856 23.1717C43.7856 23.411 43.7027 23.6134 43.5371 23.7791C43.3898 23.9264 43.1873 24 42.9296 24H42.2945ZM53.9554 24.1933C52.6301 24.1933 51.4428 23.9264 50.3935 23.3925C49.3443 22.8403 48.5068 22.0396 47.8809 20.9903C47.2734 19.9411 46.9697 18.6618 46.9697 17.1524V9.72486C46.9697 9.48556 47.0434 9.29228 47.1906 9.14502C47.3563 8.97935 47.5588 8.89652 47.7981 8.89652C48.0374 8.89652 48.2306 8.97935 48.3779 9.14502C48.5436 9.29228 48.6264 9.48556 48.6264 9.72486V17.1524C48.6264 18.3488 48.8565 19.3521 49.3167 20.162C49.7953 20.9535 50.4304 21.5518 51.2219 21.9568C52.0318 22.3433 52.943 22.5366 53.9554 22.5366C54.9494 22.5366 55.8422 22.3433 56.6337 21.9568C57.4253 21.5702 58.0511 21.0548 58.5113 20.4105C58.9715 19.7478 59.2016 19.0023 59.2016 18.174V9.72486C59.2016 9.46715 59.2752 9.26467 59.4225 9.11741C59.5882 8.97015 59.7907 8.89652 60.03 8.89652C60.2877 8.89652 60.4901 8.97015 60.6374 9.11741C60.7847 9.26467 60.8583 9.46715 60.8583 9.72486V23.1717C60.8583 23.411 60.7847 23.6134 60.6374 23.7791C60.4901 23.9264 60.2877 24 60.03 24C59.7907 24 59.5882 23.9264 59.4225 23.7791C59.2752 23.6134 59.2016 23.411 59.2016 23.1717V21.7359C58.5942 22.4906 57.8302 23.0888 56.9099 23.5306C56.0079 23.9724 55.0231 24.1933 53.9554 24.1933ZM66.6526 24C66.4133 24 66.2108 23.9264 66.0452 23.7791C65.8979 23.6134 65.8243 23.411 65.8243 23.1717V9.72486C65.8243 9.46715 65.8979 9.26467 66.0452 9.11741C66.2108 8.97015 66.4133 8.89652 66.6526 8.89652C66.9103 8.89652 67.1128 8.97015 67.2601 9.11741C67.4073 9.26467 67.481 9.46715 67.481 9.72486V11.4368C68.0148 10.59 68.6867 9.92735 69.4966 9.44875C70.3249 8.97015 71.2361 8.73085 72.2301 8.73085C72.9296 8.73085 73.4726 8.81368 73.8592 8.97935C74.2458 9.14502 74.393 9.43954 74.301 9.86292C74.2458 10.139 74.1169 10.3047 73.9144 10.3599C73.7119 10.4151 73.4634 10.4244 73.1689 10.3875C72.8928 10.3323 72.5799 10.3047 72.2301 10.3047C71.3097 10.3047 70.4906 10.498 69.7727 10.8845C69.0548 11.2711 68.4934 11.8049 68.0884 12.486C67.6834 13.1487 67.481 13.9126 67.481 14.7778V23.1717C67.481 23.411 67.4073 23.6134 67.2601 23.7791C67.1128 23.9264 66.9103 24 66.6526 24ZM78.7596 24C78.5203 24 78.3178 23.9264 78.1522 23.7791C78.0049 23.6134 77.9313 23.411 77.9313 23.1717V9.72486C77.9313 9.46715 78.0049 9.26467 78.1522 9.11741C78.3178 8.97015 78.5203 8.89652 78.7596 8.89652C79.0173 8.89652 79.2198 8.97015 79.3671 9.11741C79.5143 9.26467 79.588 9.46715 79.588 9.72486V11.1607C80.1954 10.4059 80.9501 9.8077 81.8521 9.36591C82.7725 8.92413 83.7665 8.70324 84.8341 8.70324C86.1595 8.70324 87.3468 8.97935 88.396 9.53158C89.4637 10.0654 90.3012 10.8569 90.9087 11.9062C91.5161 12.937 91.8198 14.2163 91.8198 15.7442V23.1717C91.8198 23.411 91.737 23.6134 91.5713 23.7791C91.4241 23.9264 91.2308 24 90.9915 24C90.7522 24 90.5497 23.9264 90.384 23.7791C90.2368 23.6134 90.1632 23.411 90.1632 23.1717V15.7442C90.1632 14.5293 89.9239 13.526 89.4453 12.7345C88.9851 11.943 88.35 11.3539 87.5401 10.9674C86.7485 10.5624 85.8466 10.3599 84.8341 10.3599C83.8401 10.3599 82.9473 10.5532 82.1558 10.9398C81.3643 11.3079 80.7384 11.8233 80.2782 12.486C79.818 13.1487 79.588 13.8942 79.588 14.7225V23.1717C79.588 23.411 79.5143 23.6134 79.3671 23.7791C79.2198 23.9264 79.0173 24 78.7596 24ZM110.784 24C109.772 23.9816 108.87 23.7515 108.078 23.3097C107.287 22.8495 106.67 22.2237 106.228 21.4321C105.786 20.6222 105.565 19.711 105.565 18.6986V10.9398H103.412C103.191 10.9398 103.007 10.8753 102.859 10.7465C102.731 10.5992 102.666 10.4151 102.666 10.1943C102.666 9.97337 102.731 9.79849 102.859 9.66964C103.007 9.52238 103.191 9.44875 103.412 9.44875H105.565V4.94807C105.565 4.69037 105.639 4.48788 105.786 4.34062C105.952 4.17495 106.154 4.09212 106.394 4.09212C106.651 4.09212 106.854 4.17495 107.001 4.34062C107.167 4.48788 107.25 4.69037 107.25 4.94807V9.44875H110.894C111.115 9.44875 111.29 9.52238 111.419 9.66964C111.566 9.79849 111.64 9.97337 111.64 10.1943C111.64 10.4151 111.566 10.5992 111.419 10.7465C111.29 10.8753 111.115 10.9398 110.894 10.9398H107.25V18.6986C107.25 19.7662 107.581 20.6406 108.244 21.3217C108.906 21.9844 109.762 22.3157 110.812 22.3157H111.419C111.677 22.3157 111.879 22.3985 112.026 22.5642C112.192 22.7115 112.275 22.9139 112.275 23.1717C112.275 23.411 112.192 23.6134 112.026 23.7791C111.879 23.9264 111.677 24 111.419 24H110.784ZM122.638 24.1657C121.166 24.1657 119.84 23.8343 118.662 23.1717C117.502 22.4906 116.582 21.5702 115.901 20.4105C115.238 19.2324 114.907 17.9163 114.907 16.4621C114.907 14.9895 115.238 13.6733 115.901 12.5136C116.582 11.3355 117.502 10.4151 118.662 9.75247C119.84 9.07139 121.166 8.73085 122.638 8.73085C124.111 8.73085 125.427 9.07139 126.587 9.75247C127.746 10.4151 128.657 11.3355 129.32 12.5136C130.001 13.6733 130.342 14.9895 130.342 16.4621C130.342 17.9163 130.001 19.2324 129.32 20.4105C128.657 21.5702 127.746 22.4906 126.587 23.1717C125.427 23.8343 124.111 24.1657 122.638 24.1657ZM122.638 22.6194C123.798 22.6194 124.829 22.3525 125.731 21.8187C126.651 21.2665 127.369 20.5302 127.884 19.6098C128.418 18.671 128.685 17.6217 128.685 16.4621C128.685 15.284 128.418 14.2347 127.884 13.3144C127.369 12.3756 126.651 11.6393 125.731 11.1054C124.829 10.5532 123.798 10.2771 122.638 10.2771C121.497 10.2771 120.466 10.5532 119.546 11.1054C118.625 11.6393 117.898 12.3756 117.364 13.3144C116.831 14.2347 116.564 15.284 116.564 16.4621C116.564 17.6217 116.831 18.671 117.364 19.6098C117.898 20.5302 118.625 21.2665 119.546 21.8187C120.466 22.3525 121.497 22.6194 122.638 22.6194Z"
            fill="currentColor"
          />
          <path
            d="M6.08 44C5.94133 44 5.824 43.9573 5.728 43.872C5.64267 43.776 5.6 43.6587 5.6 43.52V31.984C5.6 31.8453 5.64267 31.7333 5.728 31.648C5.824 31.552 5.94133 31.504 6.08 31.504C6.29333 31.504 6.43733 31.584 6.512 31.744L11.888 42.368L17.2 31.744C17.296 31.584 17.44 31.504 17.632 31.504C17.7707 31.504 17.8827 31.552 17.968 31.648C18.0533 31.7333 18.096 31.8453 18.096 31.984V43.52C18.096 43.6587 18.0533 43.776 17.968 43.872C17.8827 43.9573 17.7707 44 17.632 44C17.4933 44 17.376 43.9573 17.28 43.872C17.184 43.776 17.136 43.6587 17.136 43.52V33.712L12.272 43.616C12.1973 43.7653 12.0587 43.84 11.856 43.84C11.664 43.84 11.5147 43.7387 11.408 43.536L6.56 33.856V43.52C6.56 43.6587 6.512 43.776 6.416 43.872C6.33067 43.9573 6.21867 44 6.08 44ZM24.7751 44C24.6365 44 24.5191 43.9573 24.4231 43.872C24.3378 43.776 24.2951 43.6587 24.2951 43.52V39.328L19.8791 32.256C19.7725 32.0747 19.7565 31.904 19.8311 31.744C19.9165 31.584 20.0551 31.504 20.2471 31.504C20.3965 31.504 20.5245 31.568 20.6311 31.696L24.7751 38.448L28.8551 31.808C28.9298 31.6907 28.9991 31.6107 29.0631 31.568C29.1378 31.5253 29.2231 31.504 29.3191 31.504C29.5005 31.504 29.6285 31.584 29.7031 31.744C29.7885 31.904 29.7778 32.0747 29.6711 32.256L25.2551 39.328V43.52C25.2551 43.6587 25.2071 43.776 25.1111 43.872C25.0258 43.9573 24.9138 44 24.7751 44ZM36.5956 44C36.457 44 36.3396 43.9573 36.2436 43.872C36.1583 43.776 36.1156 43.6587 36.1156 43.52V31.984C36.1156 31.8453 36.1583 31.7333 36.2436 31.648C36.3396 31.552 36.457 31.504 36.5956 31.504H44.2916C44.4196 31.504 44.5316 31.552 44.6276 31.648C44.7236 31.7333 44.7716 31.8453 44.7716 31.984C44.7716 32.112 44.7236 32.224 44.6276 32.32C44.5316 32.416 44.4196 32.464 44.2916 32.464H37.0756V37.264H42.3716C42.5103 37.264 42.6223 37.312 42.7076 37.408C42.8036 37.4933 42.8516 37.6053 42.8516 37.744C42.8516 37.8827 42.8036 38 42.7076 38.096C42.6223 38.192 42.5103 38.24 42.3716 38.24H37.0756V43.04H44.2916C44.4196 43.04 44.5316 43.088 44.6276 43.184C44.7236 43.28 44.7716 43.392 44.7716 43.52C44.7716 43.6587 44.7236 43.776 44.6276 43.872C44.5316 43.9573 44.4196 44 44.2916 44H36.5956ZM46.6844 44C46.4817 44 46.3377 43.92 46.2524 43.76C46.167 43.5893 46.1884 43.408 46.3164 43.216L50.4284 37.536L46.6044 32.256C46.487 32.096 46.4604 31.9307 46.5244 31.76C46.599 31.5893 46.7377 31.504 46.9404 31.504C47.1004 31.504 47.2337 31.5733 47.3404 31.712L51.1004 36.912L54.8444 31.712C54.951 31.5733 55.0844 31.504 55.2444 31.504C55.4577 31.504 55.5964 31.6 55.6604 31.792C55.735 31.984 55.7297 32.1387 55.6444 32.256L51.7884 37.568L55.8844 43.216C56.0017 43.3653 56.0284 43.536 55.9644 43.728C55.9004 43.9093 55.7617 44 55.5484 44C55.495 44 55.431 43.9893 55.3564 43.968C55.2817 43.936 55.223 43.8933 55.1804 43.84L51.1164 38.208L47.0524 43.84C46.9564 43.9467 46.8337 44 46.6844 44ZM58.7831 44C58.6445 44 58.5271 43.9573 58.4311 43.872C58.3458 43.776 58.3031 43.6587 58.3031 43.52V31.984C58.3031 31.8347 58.3458 31.7173 58.4311 31.632C58.5271 31.5467 58.6445 31.504 58.7831 31.504H61.9831C62.7618 31.504 63.4498 31.6747 64.0471 32.016C64.6551 32.3573 65.1298 32.832 65.4711 33.44C65.8125 34.0373 65.9831 34.7253 65.9831 35.504C65.9831 36.2827 65.8125 36.976 65.4711 37.584C65.1298 38.192 64.6551 38.6667 64.0471 39.008C63.4498 39.3493 62.7618 39.52 61.9831 39.52H59.2631V43.52C59.2631 43.6587 59.2205 43.776 59.1351 43.872C59.0498 43.9573 58.9325 44 58.7831 44ZM59.2631 38.56H61.9831C62.5805 38.56 63.1031 38.432 63.5511 38.176C64.0098 37.9093 64.3671 37.5467 64.6231 37.088C64.8898 36.6293 65.0231 36.1013 65.0231 35.504C65.0231 34.9067 64.8898 34.384 64.6231 33.936C64.3671 33.4773 64.0098 33.12 63.5511 32.864C63.1031 32.5973 62.5805 32.464 61.9831 32.464H59.2631V38.56ZM68.4706 44C68.332 44 68.2146 43.9573 68.1186 43.872C68.0333 43.776 67.9906 43.6587 67.9906 43.52V31.984C67.9906 31.8453 68.0333 31.7333 68.1186 31.648C68.2146 31.552 68.332 31.504 68.4706 31.504H76.1666C76.2946 31.504 76.4066 31.552 76.5026 31.648C76.5986 31.7333 76.6466 31.8453 76.6466 31.984C76.6466 32.112 76.5986 32.224 76.5026 32.32C76.4066 32.416 76.2946 32.464 76.1666 32.464H68.9506V37.264H74.2466C74.3853 37.264 74.4973 37.312 74.5826 37.408C74.6786 37.4933 74.7266 37.6053 74.7266 37.744C74.7266 37.8827 74.6786 38 74.5826 38.096C74.4973 38.192 74.3853 38.24 74.2466 38.24H68.9506V43.04H76.1666C76.2946 43.04 76.4066 43.088 76.5026 43.184C76.5986 43.28 76.6466 43.392 76.6466 43.52C76.6466 43.6587 76.5986 43.776 76.5026 43.872C76.4066 43.9573 76.2946 44 76.1666 44H68.4706ZM79.4394 44C79.3007 44 79.1834 43.9573 79.0874 43.872C79.002 43.776 78.9594 43.6587 78.9594 43.52V31.984C78.9594 31.8347 79.002 31.7173 79.0874 31.632C79.1834 31.5467 79.3007 31.504 79.4394 31.504H82.4954C83.274 31.504 83.962 31.6693 84.5594 32C85.1674 32.32 85.642 32.7627 85.9834 33.328C86.3247 33.8933 86.4954 34.5493 86.4954 35.296C86.4954 36.1707 86.25 36.928 85.7594 37.568C85.2687 38.1973 84.618 38.6293 83.8074 38.864L86.5594 43.264C86.698 43.4773 86.7247 43.6533 86.6394 43.792C86.5647 43.9307 86.4047 44 86.1594 44C86.042 44 85.9514 43.9787 85.8874 43.936C85.834 43.8827 85.7807 43.8187 85.7274 43.744L82.7834 39.04C82.6874 39.04 82.5914 39.04 82.4954 39.04H79.9194V43.52C79.9194 43.6587 79.8767 43.776 79.7914 43.872C79.706 43.9573 79.5887 44 79.4394 44ZM79.9194 38.08H82.4954C83.0927 38.08 83.6154 37.9627 84.0634 37.728C84.522 37.4827 84.8794 37.152 85.1354 36.736C85.402 36.32 85.5354 35.84 85.5354 35.296C85.5354 34.7413 85.402 34.2507 85.1354 33.824C84.8794 33.3973 84.522 33.0667 84.0634 32.832C83.6154 32.5867 83.0927 32.464 82.4954 32.464H79.9194V38.08ZM89.1738 44C89.0351 44 88.9178 43.9573 88.8218 43.872C88.7364 43.776 88.6938 43.6587 88.6938 43.52V31.984C88.6938 31.8453 88.7364 31.7333 88.8218 31.648C88.9178 31.552 89.0351 31.504 89.1738 31.504C89.3124 31.504 89.4244 31.552 89.5098 31.648C89.6058 31.7333 89.6538 31.8453 89.6538 31.984V43.52C89.6538 43.6587 89.6058 43.776 89.5098 43.872C89.4244 43.9573 89.3124 44 89.1738 44ZM93.33 44C93.1913 44 93.074 43.9573 92.978 43.872C92.8927 43.776 92.85 43.6587 92.85 43.52V31.984C92.85 31.8453 92.8927 31.7333 92.978 31.648C93.074 31.552 93.1913 31.504 93.33 31.504H101.026C101.154 31.504 101.266 31.552 101.362 31.648C101.458 31.7333 101.506 31.8453 101.506 31.984C101.506 32.112 101.458 32.224 101.362 32.32C101.266 32.416 101.154 32.464 101.026 32.464H93.81V37.264H99.106C99.2447 37.264 99.3567 37.312 99.442 37.408C99.538 37.4933 99.586 37.6053 99.586 37.744C99.586 37.8827 99.538 38 99.442 38.096C99.3567 38.192 99.2447 38.24 99.106 38.24H93.81V43.04H101.026C101.154 43.04 101.266 43.088 101.362 43.184C101.458 43.28 101.506 43.392 101.506 43.52C101.506 43.6587 101.458 43.776 101.362 43.872C101.266 43.9573 101.154 44 101.026 44H93.33ZM104.299 44C104.16 44 104.043 43.9573 103.947 43.872C103.861 43.776 103.819 43.6587 103.819 43.52V31.984C103.819 31.8453 103.861 31.7333 103.947 31.648C104.043 31.552 104.16 31.504 104.299 31.504C104.448 31.504 104.571 31.5573 104.667 31.664L112.795 42.24V31.984C112.795 31.8453 112.837 31.7333 112.923 31.648C113.019 31.552 113.136 31.504 113.275 31.504C113.403 31.504 113.515 31.552 113.611 31.648C113.707 31.7333 113.755 31.8453 113.755 31.984V43.52C113.755 43.6587 113.707 43.776 113.611 43.872C113.515 43.9573 113.403 44 113.275 44C113.125 44 113.008 43.952 112.923 43.856L104.779 33.264V43.52C104.779 43.6587 104.731 43.776 104.635 43.872C104.549 43.9573 104.437 44 104.299 44ZM122.575 44.16C121.722 44.16 120.917 43.9947 120.159 43.664C119.413 43.3227 118.751 42.8587 118.175 42.272C117.599 41.6747 117.146 40.992 116.815 40.224C116.485 39.4453 116.319 38.6187 116.319 37.744C116.319 36.88 116.479 36.064 116.799 35.296C117.119 34.5173 117.562 33.8347 118.127 33.248C118.703 32.6507 119.37 32.1867 120.127 31.856C120.885 31.5147 121.701 31.344 122.575 31.344C124.069 31.344 125.386 31.8187 126.527 32.768C126.623 32.8427 126.671 32.9493 126.671 33.088C126.671 33.216 126.629 33.3333 126.543 33.44C126.458 33.536 126.341 33.584 126.191 33.584C126.074 33.584 125.941 33.52 125.791 33.392C125.365 33.008 124.879 32.7307 124.335 32.56C123.791 32.3893 123.205 32.304 122.575 32.304C121.861 32.304 121.183 32.4533 120.543 32.752C119.903 33.04 119.338 33.44 118.847 33.952C118.357 34.4533 117.973 35.0293 117.695 35.68C117.418 36.3307 117.279 37.0187 117.279 37.744C117.279 38.4907 117.418 39.1947 117.695 39.856C117.973 40.5173 118.351 41.0987 118.831 41.6C119.322 42.1013 119.887 42.496 120.527 42.784C121.167 43.0613 121.85 43.2 122.575 43.2C123.834 43.2 124.938 42.8107 125.887 42.032C126.015 41.9253 126.17 41.92 126.351 42.016C126.533 42.1013 126.623 42.2453 126.623 42.448C126.623 42.512 126.618 42.5707 126.607 42.624C126.597 42.6773 126.565 42.7307 126.511 42.784C125.989 43.3067 125.381 43.6693 124.687 43.872C124.005 44.064 123.301 44.16 122.575 44.16ZM129.705 44C129.566 44 129.449 43.9573 129.353 43.872C129.268 43.776 129.225 43.6587 129.225 43.52V31.984C129.225 31.8453 129.268 31.7333 129.353 31.648C129.449 31.552 129.566 31.504 129.705 31.504H137.401C137.529 31.504 137.641 31.552 137.737 31.648C137.833 31.7333 137.881 31.8453 137.881 31.984C137.881 32.112 137.833 32.224 137.737 32.32C137.641 32.416 137.529 32.464 137.401 32.464H130.185V37.264H135.481C135.62 37.264 135.732 37.312 135.817 37.408C135.913 37.4933 135.961 37.6053 135.961 37.744C135.961 37.8827 135.913 38 135.817 38.096C135.732 38.192 135.62 38.24 135.481 38.24H130.185V43.04H137.401C137.529 43.04 137.641 43.088 137.737 43.184C137.833 43.28 137.881 43.392 137.881 43.52C137.881 43.6587 137.833 43.776 137.737 43.872C137.641 43.9573 137.529 44 137.401 44H129.705Z"
            fill="currentColor"
          />
          <path
            d="M88.6667 78L77 66.3333L88.6667 54.6667"
            stroke="currentColor"
            strokeWidth="2"
            strokeLinecap="round"
            strokeLinejoin="round"
          />
          <path
            d="M79.917 66.3333H133.511C144.222 66.3333 152.834 57.3409 152.834 46.6458V43"
            stroke="currentColor"
            strokeWidth="2"
            strokeLinecap="round"
            strokeLinejoin="round"
          />
        </svg>
      )}
    </animated.div>
  );
};

const colors = [
  ["#f96161", "#fce77d"],
  ["#fce77d", "#f96161"],
  ["#f9d342", "#292826"],
  ["#292826", "#f9d342"],
  ["#df678c", "#4C167A"],
  ["#4C167A", "#df678c"],
  ["#ccf381", "#4831d4"],
  ["#4831d4", "#ccf381"],
  ["#4a274f", "#f0a07c"],
  ["#f0a07c", "#4a274f"],
  ["#fad744", "#ef5455"],
  ["#ef5455", "#fad744"],
  ["#fff748", "#3c1a5b"],
  ["#3c1a5b", "#fff748"],
  ["#2f3c7e", "#fbeaeb"],
  ["#fbeaeb", "#2f3c7e"],
  ["#ec4d37", "#1d1b1b"],
  ["#1d1b1b", "#ec4d37"],
  ["#8bd8bd", "#243665"],
  ["#243665", "#8bd8bd"],
  ["#141a46", "#ec8b5e"],
  ["#243665", "#ec8b5e"],
  ["#1F2029", "#ffe67c"],
  ["#ffe67c", "#1F2029"],
  ["#f4a950", "#161b21"],
  ["#161b21", "#f4a950"],
  ["#eb2188", "#080a52"],
  ["#080a52", "#eb2188"],
  ["#4a171e", "#EFEFEF"],
  ["#EFEFEF", "#4a171e"],
  ["#d2302c", "#f7f7f9"],
  ["#f7f7f9", "#d2302c"],
  ["#358597", "#f4a896"],
  ["#f4a896", "#358597"],
  ["#262223", "#ddc6b6"],
  ["#ddc6b6", "#262223"],
  ["#234e70", "#fbf8be"],
  ["#fbf8be", "#234e70"],
  ["#f7c5cc", "#cc313d"],
  ["#cc313d", "#f7c5cc"],
  ["#e2d3f4", "#013dc4"],
  ["#013dc4", "#e2d3f4"],
  ["#ee4e34", "#fcedda"],
  ["#ee4e34", "#e2d3f4"],
  ["#96351e", "#dbb98f"],
  ["#dbb98f", "#96351e"],
  ["#5F4B8B", "#E69A8D"],
  ["#E69A8D", "#5F4B8B"],
  ["#000000FF", "#FFFFFFFF"],
  ["#FFFFFFFF", "#000000FF"],
  ["#00203FFF", "#ADEFD1FF"],
  ["#ADEFD1FF", "#00203FFF"],
  ["#606060FF", "#D6ED17FF"],
  ["#D6ED17FF", "#606060FF"],
  ["#2C5F2D", "#97BC62FF"],
  ["#97BC62FF", "#2C5F2D"],
  ["#89ABE3FF", "#FCF6F5FF"],
  ["#FCF6F5FF", "#89ABE3FF"],
  ["#FCF951FF", "#422057FF"],
  ["#422057FF", "#FCF951FF"],
  ["#00B1D2FF", "#FDDB27FF"],
  ["#FDDB27FF", "#00B1D2FF"],
];

function App({ resumeData, colorData }) {
  const [colorSchema, setColorSchema] = useState(0);

  const [isDrawerShowing, setDrawerShowing] = useState(false);
  const handleToggleDrawer = () => {
    setDrawerShowing(!isDrawerShowing);
  };

  return (
    <div className="App">
      <Drawer
        show={isDrawerShowing}
        setShow={setDrawerShowing}
        colorData={colors[colorSchema === 0 ? 0 : colorSchema - 1][0]}
      />
      <Home
        resumeData={resumeData}
        colorData={colorData}
        handleToggleDrawer={handleToggleDrawer}
        setColorSchemas={setColorSchema}
        handleToggleDrawer={handleToggleDrawer}
      />
    </div>
  );
}

export default App;
